Subject: Re: git diff does not precompose unicode file paths (OS X)

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Mar 2016 10:36:44 -0800

Alexander Rinass <[email-masked]> writes:

> Sticking a precompose_argv(argc, argv) into diff.c’s cmd_diff
> function fixes the issue.
>
> But I had to disable the check (precomposed_unicode != 1) in
> precompose_argv to make it work. That’s probably because
> precompose_argv is usually called from parse_options and is
> missing some other call before it?

The "precomposed_unicode" bit comes from your configuration file,
so it won't be usable before you call into git_default_core_config
and that happens via a call to "git_config(git_diff_ui_config, NULL)".

So perhaps you'd want to add the argv munging immediately before
init_revisions() call there?